/**
 * Created by edwardtan on 2017/8/28.
 */
const excel2Json = require('../utils/excel');

function importSupport() {
    return function *(next) {
        if ('files' in this.request.body) {
            
            // 获取后缀
            let _s = this.request.body.files.file.name.split('.');
            let suffix = _s[_s.length - 1];

            if (['xlsx', 'xls'].indexOf(suffix.toLocaleLowerCase()) != -1) {
                this.request.body = this.request.body || {};
                if (this.request.body.files.file) {
                    let excel = yield excel2Json(this.request.body.files.file.path);
                    this.request.body.rows = excel[0];
                } else if (this.request.body.fields.rows.length) {
                    this.request.body.rows = this.request.body.fields.rows;
                } else {
                    this.throw(400, 'not found file or form must be has rows');
                }
            }
            
        }

        yield next;
    }
}

exports = module.exports = importSupport;