'use strict';

const route = require('koa-router');
const pkgInfo = require('../core/utils/pkginfo');

let appInfoRouter = new route();

appInfoRouter.get('/', function *(next) {
    let pkg = yield pkgInfo();
    this.state.appinfo = {version: pkg.version};
    yield next;
});

appInfoRouter.get('/appInfo', function *() {
    let pkg = yield pkgInfo();
    this.body = {package: pkg};
});

module.exports = appInfoRouter;