/**
 * Created by edwardtan on 2016/12/23.
 */
const map = {
    '&amp;': '&',
    '&gt;': '>',
    '&lt;': '<',
    '&quot;': '"',
    '&#39;': `'`
};

const rgx = ((map) => {
    let _r = [];
    for (let k in map) {
        _r.push(`(${k})`);
    }
    return new RegExp(_r.join('|'), 'gi');
})(map);

exports = module.exports = (str) => {
    return str.replace(rgx, (m)=> {
        return map[m];
    });
};